package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 创建方式(0.手动创建，1.系统推荐)枚举类
*
* @author zxfei
*/
public enum CreateMethodEnum {
    手动创建(0, "手动创建"),
    系统推荐(1, "系统推荐");
    private Integer value;
    private String desc;

    CreateMethodEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CreateMethodEnum getByValue(Integer value) {
        for (CreateMethodEnum createMethodEnum : CreateMethodEnum.values()) {
            if (createMethodEnum.getValue() == value) {
                return createMethodEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CreateMethodEnum item : CreateMethodEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}